Models API
REST reference for GET /v1/models: list the text-to-speech model IDs your KugelAudio requests can use, and the fields of each returned model object.
List Models
Get the TTS model IDs accepted for generation. This catalog is public and is filtered to models whose engine deployment is currently wired.
GET
/v1/modelscurl -X GET "https://api.kugelaudio.com/v1/models" \
-H "Authorization: Bearer YOUR_API_KEY"from kugelaudio import KugelAudio
client = KugelAudio(api_key="YOUR_API_KEY")
models = client.models.list()
for model in models:
print(f"{model.id}: {model.name}")import { KugelAudio } from 'kugelaudio';
const client = new KugelAudio({ apiKey: 'YOUR_API_KEY' });
const models = await client.models.list();
for (const model of models) {
console.log(`${model.id}: ${model.name}`);
}{
"models": [
{
"id": "kugel-3",
"model_id": "kugel-3",
"name": "Kugel 3",
"description": "Most Natural",
"parameters": null,
"max_input_length": 10000,
"sample_rate": 24000
},
{
"id": "kugel-3.5",
"model_id": "kugel-3.5",
"name": "Kugel 3.5",
"description": "Most Natural",
"parameters": null,
"max_input_length": 10000,
"sample_rate": 24000
}
]
}Response
Model Object
Fields
The top-level response field models is an array of the model objects below.
| Field | Type | Description |
|---|---|---|
id | string | Model identifier accepted in API calls |
model_id | string | Same as id (backward compat) |
name | string | Human-readable name |
description | string | null | Model description |
parameters | string | null | null for current models |
max_input_length | integer | Maximum input text length in characters |
sample_rate | integer | Native model sample rate in Hz; generation endpoints can resample output |
For what each model is for, its input limit, and legacy IDs, see Models. Concurrency limits are plan-dependent; see pricing.